#!/bin/bash


NODES=$(kubectl get node --show-labels -o wide | grep "arch=arm64" | awk '{ print $1 }')

for i in ${NODES} ; do
  #kubectl label node $i osd=osd
  #kubectl label node $i op=op
  kubectl label node $i tools=tools
  #kubectl label node $i all=all
  kubectl label node $i mon=mon
  kubectl label node $i mgr=mgr
done



NODES=$(kubectl get node --show-labels -o wide | grep "arch=amd64" | awk '{ print $1 }')

for i in ${NODES} ; do
  kubectl label node $i osd=osd
  #kubectl label node $i mon=mon
  #kubectl label node $i mgr=mgr
  #kubectl label node $i op=op
  #kubectl label node $i tools=tools
  #kubectl label node $i nfs-node=nfs-node
  kubectl label node $i all=all
done

